package com.sifang.modules.customer.constant;


import com.sifang.modules.customer.form.SelectVo;

import java.util.ArrayList;
import java.util.List;


@SuppressWarnings("serial")
public final class Nationals {

    private static final List<SelectVo> nationalList;

    /**
     * 01:汉族;02:蒙古族;03:回族;04:藏族;05:维吾尔族;06:苗族;07:彝族;08:壮族;
     * 09:布依族;10:朝鲜族;11:满族;12:侗族;13:瑶族;14:白族;15:土家族;16:哈尼族;17:哈萨克族;18:傣族;19:黎族;20:傈僳族;21:佤族;22:畲族;23:高山族;24:拉祜族;
     * 25:水族;26:东乡族;27:纳西族;28:景颇族;29:柯尔克孜族;30:土族;31:达斡尔族;
     * 32:仫佬族;33:羌族;34:布朗族;35:撒拉族;36:毛南族;37:仡佬族;38:锡伯族;39:阿昌族;40:普米族;41:塔吉克族;
     * 42:怒族;43:乌孜别克族;44:俄罗斯族;45:鄂温克族;46:德昂族;47:保安族;48:裕固族;49:京族;50:塔塔尔族;51:独龙族;52:鄂伦春族;53:赫哲族;54:门巴族;55:珞巴族;56:基诺族
     */

    static {
        nationalList = new ArrayList<SelectVo>() {{
            add(new SelectVo("01", "汉族"));
            add(new SelectVo("02", "蒙古族"));
            add(new SelectVo("03", "回族"));
            add(new SelectVo("04", "藏族"));
            add(new SelectVo("05", "维吾尔族"));
            add(new SelectVo("06", "苗族"));
            add(new SelectVo("07", "彝族"));
            add(new SelectVo("08", "壮族"));
            add(new SelectVo("09", "布依族"));
            add(new SelectVo("10", "朝鲜族"));
            add(new SelectVo("11", "满族"));
            add(new SelectVo("12", "侗族"));
            add(new SelectVo("13", "瑶族"));
            add(new SelectVo("14", "白族"));
            add(new SelectVo("15", "土家族"));
            add(new SelectVo("16", "哈尼族"));
            add(new SelectVo("17", "哈萨克族"));
            add(new SelectVo("18", "傣族"));
            add(new SelectVo("19", "黎族"));
            add(new SelectVo("20", "傈僳族"));
            add(new SelectVo("21", "佤族"));
            add(new SelectVo("22", "畲族"));
            add(new SelectVo("23", "高山族"));
            add(new SelectVo("24", "拉祜族"));
            add(new SelectVo("25", "水族"));
            add(new SelectVo("26", "东乡族"));
            add(new SelectVo("27", "纳西族"));
            add(new SelectVo("28", "景颇族"));
            add(new SelectVo("29", "柯尔克孜族"));
            add(new SelectVo("30", "土族"));
            add(new SelectVo("31", "达斡尔族"));
            add(new SelectVo("32", "仫佬族"));
            add(new SelectVo("33", "羌族"));
            add(new SelectVo("34", "布朗族"));
            add(new SelectVo("35", "撒拉族"));
            add(new SelectVo("36", "毛南族"));
            add(new SelectVo("37", "仡佬族"));
            add(new SelectVo("38", "锡伯族"));
            add(new SelectVo("39", "阿昌族"));
            add(new SelectVo("40", "普米族"));
            add(new SelectVo("41", "塔吉克族"));
            add(new SelectVo("42", "怒族"));
            add(new SelectVo("43", "乌孜别克族"));
            add(new SelectVo("44", "俄罗斯族"));
            add(new SelectVo("45", "鄂温克族"));
            add(new SelectVo("46", "德昂族"));
            add(new SelectVo("47", "保安族"));
            add(new SelectVo("48", "裕固族"));
            add(new SelectVo("49", "京族"));
            add(new SelectVo("50", "塔塔尔族"));
            add(new SelectVo("51", "独龙族"));
            add(new SelectVo("52", "鄂伦春族"));
            add(new SelectVo("53", "赫哲族"));
            add(new SelectVo("54", "门巴族"));
            add(new SelectVo("55", "珞巴族"));
            add(new SelectVo("56", "基诺族"));
        }};


    }

    public static List<SelectVo> getNationalList() {
        return nationalList;
    }
}
